using System;
using System.Threading;

namespace Threadeinführung_01
{
    class Program
    {
        static void doSomething(int n)
        {
           Thread.SpinWait(n * 10000000);
           Console.WriteLine(" Aufruf für " + n + " beendet.");
        }

        static void Main(string[] args)
        {
           Console.WriteLine("Programm gestartet");

           for (int n = 0; n < 20; ++n)
           {
              doSomething(n);
           }

           Console.WriteLine("Zum Beenden Eingabetaste druecken");
           Console.ReadLine();
        }
    }
}
